Subject: bug#36076: Manual should clarify that glibc-utf8-locales is needed by default on foreign distros

From: Ludovic Courtès <[email-masked]>
Date: Wed, 05 Jun 2019 15:17:57 +0200

Hi,

Jack Hill <[email-masked]> skribis:

> However, I was surprised that even though I had the full set of
> locales available guix-daemon couldn't find the locale it was looking
> for. This is because the default systemd unit for guix-daemon
> configures it to use the en_US.utf8 locale which is provided by
> glibc-utf8-locales (en_US.UTF-8 is in glibc-locales).
>
> I think it would be good to clarify in the manual which locale package
> is needed when using the default daemon configuration on systemd
> foreign distros.

I honestly don’t see how it could be clearer:

  https://www.gnu.org/software/guix/manual/en/html_node/Application-Setup.html#Locales

Could you propose a patch to this section?

Thanks,
Ludo’.